complexType "ContractualMatrix"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | matrixType?, publicationDate?, matrixTerm?
</...>

Content Model Elements (3):

  matrixTerm, matrixType, | publicationDate (in contractualMatrix)

All Direct / Indirect Based Elements (1):

  contractualMatrix

Known Usage Locations

- As direct type of elements (1):
  contractualMatrix

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="ContractualMatrix"> <xsd:sequence> <xsd:element minOccurs="0" name="matrixType" type="MatrixType"/> <xsd:element minOccurs="0" name="publicationDate" type="xsd:date"/> <xsd:element minOccurs="0" name="matrixTerm" type="MatrixTerm"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
matrixTerm

  Type: | MatrixTerm, simple content

  Defines any applicable key into the relevant matrix. For example, the Transaction Type would be the single term required for the Credit Derivatives Physical Settlement Matrix. This element should be omitted in the case of the 2000 ISDA Definitions Settlement Matrix for Early Termination and Swaptions.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="matrixTerm" type="MatrixTerm"/>

matrixType

  Type: | MatrixType, simple content

  Identifies the form of applicable matrix.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="matrixType" type="MatrixType"/>

publicationDate

  Type: | xsd:date, predefined, simple content

  Specifies the publication date of the applicable version of the matrix. When this element is omitted, the ISDA supplemental language for incorporation of the relevant matrix will generally define rules for which version of the matrix is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="publicationDate" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.